| Qore Swagger Module Reference 2.2.3

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
Swagger::ScopesObject Class Reference

Lists the available scopes for an OAuth2 security scheme. More...

Inheritance diagram for Swagger::ScopesObject:
[legend]

## Public Member Functions
| constructor (hash< auto > oh)
| Constructor.
Public Member Functions inherited from Swagger::ObjectBase
| constructor ()
| Constructor.
| constructor (hash< auto > oh)
| Constructor.
| constructor (ObjectBase other)
| copy constructor
| initialize (hash< auto > oh)
| Initialize.

## Public Attributes
hash< string, string > | fields
| Maps between a name of a scope to a short description of it (as the value of the property).
Public Attributes inherited from Swagger::ObjectBase
hash< auto > | vendorExtensions
| Allows extensions to the Swagger Schema.

## Detailed Description

Lists the available scopes for an OAuth2 security scheme.

## Member Function Documentation

## ◆ constructor()

Swagger::ScopesObject::constructor | ( | hash< auto > | oh | ) |

Constructor.

Parameters

  oh | deserialized hash from the source schema description describing the available scopes for an OAuth2 security scheme

Exceptions

  INVALID-FIELD-TYPE | field has invalid type

## Member Data Documentation

## ◆ fields

hash<string, string> Swagger::ScopesObject::fields

Maps between a name of a scope to a short description of it (as the value of the property).

Hash of string values.